Package com.pixelmed.apps

# Class TabulateSegmentSequence

java.lang.Object
com.pixelmed.apps.TabulateSegmentSequence

public class TabulateSegmentSequence extends Object

A utility class with a main method to read a DICOM segmentation object and tabulate the description of the segments.

## Constructor Summary

Constructors
Constructor
Description
`TabulateSegmentSequence()`

## Method Summary

Modifier and Type
Method
Description
`static void`
`main(String[] arg)`
Read a DICOM segmentation object and tabulate the description of the segments.
`static void`
`tabulateSegmentSequence(String inputfilename, PrintStream out)`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TabulateSegmentSequence

public TabulateSegmentSequence()

## Method Details

### tabulateSegmentSequence

public static void tabulateSegmentSequence(String inputfilename, PrintStream out) throws IOException, FileNotFoundException, NumberFormatException, DicomException

Throws:
  `IOException`
  `FileNotFoundException`
  `NumberFormatException`
  `DicomException`

### main

public static void main(String[] arg)

Read a DICOM segmentation object and tabulate the description of the segments.

Parameters:
  `arg` - one parameter, the inputFile